#include <stdio.h>
#include <stdlib.h>
#include "cryptocard.h"

#define CRYPTOCARD_FILE "/sandel/etc/raddb/cryptocards"

int debug_flag=1;

main()
{
    char username[256];
    char response[256];
    char challenge[256];

    printf("Username: ");
    if(fgets(username,256,stdin)==NULL) {
    	perror("prompt");
	exit(1);
    }
    username[strlen(username)-1]='\0';

    /* find challenge string */
    if(cc_getchal(CRYPTOCARD_FILE, username, challenge, TRUE )==-1) {
    	fprintf(stderr,"Error getting challenge\n");
	exit(1);
    }
    printf("Challenge %s %s\n",username,challenge);

    /* get response */
    printf("Response: ");
    if(fgets(response,256,stdin)==NULL) {
    	perror("response");
	exit(1);
    }

    response[strlen(response)-1]='\0';
    /* checkout response */

    if(cc_checkresp( CRYPTOCARD_FILE, username, response ) == 0) {
    	printf("Success\n");
    } else {
    	printf("Failure\n");
    }
	
}

void log_err(str)
char *str;
{
  fputs(str,stderr);
}

