#include <stdio.h>
#include <stdlib.h>
#include "des.h"

# define BinToA(c)		((c) <= 9 ? (c) + '0' : ((c) - 10 + 'A'))

# ifdef __STDC__
static void swap(unsigned char *p)
# else /* __STDC__ */
static void swap(p)
unsigned char *p;
# endif /* __STDC__ */
    {
# ifdef i386
# define SWAP_BYTES(a, b)
# else /* i386 */
# define SWAP_BYTES(a, b)	c = a; a = b; b = c
    unsigned char c;
# endif /* i386 */

    SWAP_BYTES(p[0], p[3]); SWAP_BYTES(p[1], p[2]);
    SWAP_BYTES(p[4], p[7]); SWAP_BYTES(p[5], p[6]);
    }

main()
{

  unsigned long k[2];
  unsigned char *kc=(char *)k;
  unsigned char data[8];
  unsigned char rb[8];
  des_key_schedule schedule;
  unsigned char resps[10];
  short i;

  /* initialize to same */
  kc[0]=0271;
  kc[1]=0024;
  kc[2]=0202;
  kc[3]=0074;
  kc[4]=0374;
  kc[5]=0034;
  kc[6]=0244;
  kc[7]=0322;

  /* initialize data to encrypt */
  bcopy("11564711", data, 8);

  /* initialize the key for 16 bit algorithm */
  des_set_key((des_cblock *)k, schedule);

  swap(data);
  memcpy(rb,data,8);
  des_encrypt((unsigned long *)rb, schedule, 1);
  swap(rb);
  
  for(i=0;i<8;i++) {
    printf("%d: %02x\n",i,rb[i]);
  }

  /* convert the first 4 bytes of result to a string */
  bzero(resps, 9);

  for (i = 0 ; i < 4 ; i++)
    {
      resps[i * 2] = BinToA((rb[i] >> 4) & 0xf);
      resps[(i * 2) + 1] = BinToA(rb[i] & 0xf);
    }
  printf("response: %s\n",resps); 
  
}

