/************************************************************************/
/* Note that none of the code available here comes with any kind of     */
/* warranty or support.                                                 */
/*                                                                      */
/*   (C) - 1996 CRYPTOCard Corporation.  All rights reserved.           */
/************************************************************************/

#include <string.h>
#include "init.h"

int debug_flag=1;

main (int argc, char **argv)
{
  init_record i_record;
  char line[MAX_LINE_LEN];
  char s[MAX_LINE_LEN];
  FILE *fp;

  fp = fopen(MASTERKEY_FILE, "r");
  if (fp == NULL) {
      printf("\nError: can't open %s to get common secret\n", MASTERKEY_FILE);
      exit(-1);
  }
  fclose(fp);
  do {
      get_username(&i_record);
      get_option1(&i_record);
      get_option2(&i_record);
      get_option3(&i_record);  
      get_key(&i_record);
      get_userid(&i_record);
      get_ipin(&i_record);
      get_serial(&i_record);
      get_date(&i_record);
      if (!write_initfile(&i_record)) 
	  printf("\nFile %s is NOT updated for user %s\n", INIT_FILE, i_record.username);
      else
	  printf("\nFile %s is updated for user %s\n", INIT_FILE, i_record.username);  
      do {
          printf("\nWant to update %s for another user? [y/n]\n", INIT_FILE);
      } while ((get_line(line, MAX_LINE_LEN) < 2) || (sscanf(line, "%2s", s) == EOF)) ; 
  } while (!strcmp(s, "y"));  
}

log_err(str)
char *str;
{
	fputs(str,stderr);
}
