/* $Id: cryptocard.h,v 1.2 1996/12/17 05:44:02 mcr Exp $ */

# ifndef CRYPTOCARD_H	
# define CRYPTOCARD_H

/*
 *	Support routines for asd, the Authentication Server Daemon
 */

# ifdef __STDC__
extern int check_response(char *, char *, char *, int, char *);
extern char *generate_response(char *, char *, char *);
extern char *random_challenge(char *);
extern void send_string(char *);
extern int get_line(char *, int);
extern void send_enable(unsigned long, unsigned long, unsigned char *);
extern unsigned char *make_label(char *);
extern void asd_init(void);
# else /* __STDC__ */
extern int check_response();
extern char *generate_response();
extern char *random_challenge();
extern void send_string();
extern int get_line();
extern void send_enable();
extern unsigned char *make_label();
extern void asd_init();
# endif /* __STDC__ */

# endif	/* CRYPTOCARD_H */

#define MAX_LINE_LEN 254
#define OCT_KEY_LEN  24
#define MD5_OUTPUT  16
#include "acconfig.h"
