#include <stdio.h>
#include <stdlib.h>
#include "cryptocard.h"
#include "acconfig.h"

int debug_flag=0;



main()
{
    char line[256];
    char *s;
    char tmp[256],key[256],tmp_key[256],display[256],challenge[256];

    /* Open the database file containing CRYPTOCard keys read write. */
    fp = fopen(CC_FILE, "r+");
    if ( fp == NULL ) {
      perror(CC_FILE);
      exit(1);
    }

    while((s=fgets(line,256,fp))!=NULL) {
      if ( *s == '#' )
	continue;
      result = sscanf(line, "%s %s %s %s", tmp, key, display, challenge );
      if (result>2) {
	bcopy(key, tmp_key, 48);
	for (i = 0; i < OCT_KEY_LEN; i++) {
	  if(sscanf(&tmp_key[2*i], "%2x", &keybytes)!=1) {
	    abort();
	  }
	  key[i]=keybytes&0xff;
	}
		    
	if (!crypt_key(tmp, key, DECRYPT))
	  return(-1);

	key[25]='\0';
	printf("%s:CryptoCard:%s:\n",
	       tmp,key);
      }
    }
}


void log_err(str)
char *str;
{
  fputs(str,stderr);
}

